<?php

/**
 * Implementiert das Neustarten und Zurücksetzten des Gateways
 * @author Miguel Palmer <mp@beronet.com>
 */
class RebootReset {
	
	/**
	 * Generiert die HTML Seite
	 * @return string HTML code
	 */
	function display() {

		$name = "REBOOT_RESET_TITLE_DIS";
		include('./includes/header.php');

                // get module installed
                $list_lif = Helper::getLif();

                // is T1/E1 installed ?
                $is_t1e1_installed = false;
                foreach ($list_lif as $lif) {
                        if (preg_match('#t1e1#', $lif)) {
                                $is_t1e1_installed = true;
                                break;
                        }
                }

		if ($_POST['v'] != "Yes") :
			ob_start();
			?>
			<br>
			<p class="text-center lead"><? echo REBOOT_RESET_MESSAGE_REB_DIS ?></p>
			<form action='./reboot.php' method='POST' name='reboot' onsubmit='return confirm("<? echo REBOOT_RESET_CONFIRM_REBOOT_DIS ?>");'>
				<input type='hidden' name='action' value='reboot'>
				<input type='hidden' name='v' value='Yes'>
				<div class="text-center">
					<input type='submit' class='btn btn-default' name='submit' style='margin-top:5px;'
						   value='<? echo REBOOT_RESET_BUTTON_REBOOT_DIS ?>'>
				</div>
			</form>
			<br>
			<br>
			<form class='form-horizontal' action='modules/RebootReset/recreate.php?val=yes' method='POST' name='reset' 
				  onsubmit='return confirm("<? echo REBOOT_RESET_CONFIRM_RESET_DIS ?>");'>
				<p class="text-center lead"><? echo REBOOT_RESET_MESSAGE_RESET_DIS ?></p>
				<p class="text-center lead"><? echo REBOOT_RESET_KEEP_SETTINGS_DIS ?></p>

				<div class="form-group">
					<label for='keep_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_set' id='id_keep_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_cloud_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_CLOUD_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_cloud_set' id='id_keep_cloud_set' style='margin-top:5px;' checked>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_sip_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_SIP_SETTINGS_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_sip_set' id='keep_sip_set' style='margin-top:5px;'>
					</div>
				</div>
				<div class="form-group">
					<label for='keep_app_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_APP_CONFIG_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_app_set' id='keep_app_set' style='margin-top:5px;'>
					</div>
				</div>	
				<div class="form-group">
					<label for='keep_prefix_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_KEEP_PREFIX_SETTING_RES_DIS ?></label>
					<div class='col-sm-4'>
						<input type='checkbox' name='keep_prefix_set' id='keep_prefix_set' style='margin-top:5px;' checked>
					</div>
				</div>
        <?php   if ($is_t1e1_installed)
                {                               ?>
                                <p class="text-center lead" style="margin-top: 15px;"><? echo REBOOT_RESET_TITLE_MODE_DIS ?></p>
                                <div class="form-group" style="margin-top: -10px;">
                                        <label for='keep_hw_set' class='col-sm-6 control-label'><? echo REBOOT_RESET_DEFAULT_DIS ?></label>
                                        <div class='col-sm-4'>
                                                <input type='checkbox' name='keep_hw_set' id='id_keep_hw_set' style='margin-top:5px;' onchange="updateHTMLcode();" checked>
                                        </div>
                                </div>
        <?php   } ?>
				<div class='text-center' id='button_html' style='margin-top: 15px;'>
                                        <input type='submit' class='btn btn-default' name='v' class='resetB' style='margin-right: 1px;' value='<? echo REBOOT_RESET_BUTTON_FACT_RES_DIS ?>'>
                                        <input class='btn btn-default' id='wizardbutton' type='submit' name='v' value='Wizard'>
                                </div>
                        </form>

        <?php   if ($is_t1e1_installed) { ?>
                        <div class='modal fade bs-example-modal-lg' id='factoryreset-popup' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
                                <div class='modal-dialog modal-lg'>
                                        <div class='modal-content'>
                                                <div class='modal-header'>
                                                        <button type='button' class='close' data-dismiss='modal' aria-label='Close'><span aria-hidden='true'>&times;</span></button>
                                                        <h4 class='modal-title' id='myModalLabel'><?php echo REBOOT_RESET_TITLE_MODE_DIS; ?></h4>
                                                </div>
                                                <div class='modal-body'>
                                                </div>
                                        </div>
                                </div>
                        </div>
        <?php   } ?>

                        <script type="text/javascript">
        <?php   if ($is_t1e1_installed) { ?>
                                function updateHTMLcode () 
                                {
                                        var keepHwSet = document.getElementById('id_keep_hw_set').checked;

                                        if (keepHwSet)
                                        {
                                                document.getElementById("button_html").innerHTML =      "<input type='submit' class='btn btn-default' name='v' class='resetB' style='margin-right: 4px;' value='<? echo REBOOT_RESET_BUTTON_FACT_RES_DIS ?>'>" +
                                                                                                        "<input class='btn btn-default' id='wizardbutton' type='submit' name='v' value='Wizard'>";
                                        }
                                        else
                                        {
                                                document.getElementById("button_html").innerHTML =      "<a role='button' data-remote='false' data-toggle='modal' data-target='#factoryreset-popup' class='btn btn-default' style='margin-right: 4px;'>" +
                                                                                                        "<?php echo REBOOT_RESET_BUTTON_FACT_RES_DIS; ?>" + 
                                                                                                        "</a>" +
                                                                                                        "<input class='btn btn-default' id='wizardbutton' type='submit' name='v' value='Wizard'>";
                                        }
                                }

                                $('#factoryreset-popup').on('show.bs.modal', function(e) {
                                        var link = $(e.relatedTarget);

                                        var keepSet = document.getElementById('id_keep_set').checked.toString();
                                        var keepCloudSet = document.getElementById('id_keep_cloud_set').checked.toString();
                                        var keepSipSet = document.getElementById('keep_sip_set').checked.toString();
                                        var keepAppSet = document.getElementById('keep_app_set').checked.toString();
                                        var keepPrefixSet = document.getElementById('keep_prefix_set').checked.toString();

                                        $('.modal-body').load('modules/RebootReset/factoryreset_popup.php?Set=' + keepSet + '&CloudSet=' + keepCloudSet + '&SipSet=' + keepSipSet + '&AppSet=' + keepAppSet + '&PrefixSet=' + keepPrefixSet);
                                });

                                $('#factoryreset-popup').on('hidden.bs.modal', function (e) { 
                                        $('.modal-body').empty(); 
                                });
        <?php   } ?>
				$('#keep_sip_set').change(function () {
					if ($(this).attr('checked'))
						$('#wizardbutton').attr('style', 'display:none;');
					else
						$('#wizardbutton').attr('style', 'display:inline;');
				});
			</script>
		<?
		endif;
		$ret .= ob_get_clean();

		// Rückgabe: Der Inhalt von der HTML-Seite
		return $ret;
	}

}
?>
